## horizon 2014.1.3

=== requirements.txt ===
# Horizon Core Requirements
Django>=1.4,<1.7
django_compressor>=1.3
django_openstack_auth>=1.1.4,!=1.1.6
eventlet>=0.13.0
httplib2>=0.7.5
iso8601>=0.1.9
kombu>=2.4.8
lesscpy>=0.9j
# Horizon Utility Requirements
# for SECURE_KEY generation
lockfile>=0.8
netaddr>=0.7.6
pbr>=0.6,<1.0
python-ceilometerclient>=1.0.6
python-cinderclient>=1.0.6
python-glanceclient>=0.9.0
python-heatclient>=0.2.3
python-keystoneclient>=0.7.0
python-neutronclient>=2.3.4,<3
python-novaclient>=2.17.0
python-swiftclient>=1.6
python-troveclient>=1.0.3
pytz>=2010h
six>=1.6.0

=== debian/changelog ===
horizon (2014.1.3-7+deb8u2) jessie-security; urgency=medium

  * CVE-2016-4428: Possible client side template injection in horizon. Applied
    upstream patch: "Escape angularjs templating in unsafe HTML" after rebasing
    it for Icehouse (Closes: #828967).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 15:24:16 +0200

horizon (2014.1.3-7+deb8u1) jessie-security; urgency=high

  * Fix CVE-2015-3219 with upstream patch (Closes: 788306).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 16:18:34 +0200

horizon (2014.1.3-7) unstable; urgency=medium

  * Fix Moscow timezone check and avoid FTBFS (Closes: #775636).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jan 2015 14:03:26 +0000

horizon (2014.1.3-6) unstable; urgency=high

  * CVE-2014-8124: Horizon denial of service attack through login page. Applied
    upstrema patch (Closes: #772710).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 19:41:02 +0800

horizon (2014.1.3-5) unstable; urgency=medium

  * Purge the /usr/share/openstack-dashboard/openstack_dashboard folder when
    purging openstack-dashboard (Closes: #769101).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 05:24:26 +0800

horizon (2014.1.3-4) unstable; urgency=medium

  * Added Dutch debconf translations thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #766414).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 16:12:13 +0800

horizon (2014.1.3-3) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Added patch to fix wrong WSGI application with Django 1.7.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 16:43:58 +0000

horizon (2014.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - 0006_fix-TEMPLATE_DIRS-must-be-tuple.patch
    - 0007-Rename-add_error-methods-to-avoid-conflict-with-Djan.patch
    - 0010_Tentative-fix-for-a-test-suite-failure-after-the-las.patch
    - CVE_2014-3594_stable-icehouse.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 21:19:01 +0800

horizon (2014.1.2-4) unstable; urgency=medium

  * Moves the libapache2-mod-wsgi (>= 2.3) dependency to
    openstack-dashboard-apache.
  * Disable test_update_project_when_default_role_does_not_exist() which is
    failing under Django 1.7 (Closes: #755651).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2014 23:33:28 +0800

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1:1.0.6),
                     python-cloudfiles,
                     python-compressor (>= 1.3),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-django-nose,
                     python-docutils (>= 0.9.1),
                     python-eventlet (>= 0.13.0),
                     python-glanceclient (>= 1:0.10.0),
                     python-hacking (>= 0.8.0),
                     python-heatclient (>= 0.2.4),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.5.12),
                     python-lesscpy (>= 0.9j),
                     python-lockfile,
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.4),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.17.0),
                     python-openstack-auth (>= 1.1.4),
                     python-openstack.nose-plugin,
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-sphinx,
                     python-swiftclient (>= 1:1.6.0),
                     python-testtools (>= 0.9.34),
                     python-troveclient (>= 1.0.3),
                     python-tz
Build-Conflicts: python-unittest2
Standards-Version: 3.9.5
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-ceilometerclient (>= 1.0.6),
         python-cinderclient (>= 1:1.0.6),
         python-cloudfiles,
         python-compressor (>= 1.3),
         python-d2to1 (>= 0.2.10),
         python-django (>= 1.4),
         python-django-nose,
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.10.0),
         python-heatclient (>= 0.2.4),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.5.12),
         python-lesscpy (>= 0.9j),
         python-lockfile,
         python-memcache,
         python-netaddr,
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 2:2.17.0),
         python-openstack-auth (>= 1.1.4),
         python-six (>= 1.6.0),
         python-swiftclient (>= 1:1.6.0),
         python-troveclient (>= 1.0.3),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: memcached
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: memcached, openstack-dashboard-apache
Description: OpenStack Dashboard
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends}
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/python-django-horizon \
			--no-compile -O0; \
	done

	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	sed -i -e 's/SECRET_KEY = secret_key.generate_or_read_from_file(os.path.join(LOCAL_PATH,/SECRET_KEY = secret_key.generate_or_read_from_file(os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py

	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/horizon/tags .*/(\d[\d\.]+)\.tar\.gz

## horizon 2014.1.5

=== requirements.txt ===
# Horizon Core Requirements
Django>=1.4,<1.7
django_compressor>=1.3
django_openstack_auth>=1.1.4,!=1.1.6,<1.1.8
eventlet>=0.13.0,<0.16.0
httplib2>=0.7.5,<=0.9
iso8601>=0.1.9,<=0.1.10
kombu>=2.5.0,<=3.0.7
lesscpy>=0.9j
# Horizon Utility Requirements
# for SECURE_KEY generation
lockfile>=0.8,<=0.10.2
netaddr>=0.7.6,<=0.7.14
pbr>=0.6,<1.0
python-ceilometerclient>=1.0.6,<=1.0.12
python-cinderclient>=1.0.6,<=1.1.1
python-glanceclient>=0.9.0,!=0.14.0,<=0.14.2
python-heatclient>=0.2.3,<=0.2.12
python-keystoneclient>=0.7.0,<0.12.0
python-neutronclient>=2.3.4,<2.3.11
python-novaclient>=2.17.0,<2.21
python-swiftclient>=1.6,<=2.3.1
python-troveclient>=1.0.3,<=1.0.8
pytz>=2010h,<=2015.2
six>=1.6.0,<=1.9.0

=== debian/changelog ===
horizon (1:2014.1.5-0ubuntu2.2) trusty; urgency=medium

  * d/openstack-dashboard.postinst: Ensure permissions are not
    world-readable for /etc/openstack-dashboard/local_settings.py
    (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 08:55:44 -0400

horizon (1:2014.1.5-0ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: XSS in OpenStack Dashboard
    - debian/patches/CVE-2016-4428.patch: add escaping to
      horizon/utils/escape.py, openstack_dashboard/settings.py,
      openstack_dashboard/test/settings.py.
    - debian/patches/ship_escape.py: ship new file created by security
      patch.
    - CVE-2016-4428

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Aug 2017 08:41:07 -0400

horizon (1:2014.1.5-0ubuntu2) trusty; urgency=medium

  * Fix "Unable to Connect to Neutron" error message which is displayed
    in various UI panels. (LP: #1476417)
    - d/p/fix-neutron-connection-error.patch - Removes the erroneous
      usage of the FloatingIPManager.is_supported() method.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 27 Jul 2015 10:37:15 -0700

horizon (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (4ff165c) (LP: #1467533):
    - [78b6f5e] Fix exponentially growing AJAX updates for table rows
    - [86a6628] Handle RequestURITooLong error in large instance table
    - [2a6fe4a] Fix host listing in live migration
    - [9109812] Exclude security group related quotas when the extension disabled
    - [4ff165c] horizon ignores region for identity service
  * d/p/fix-host-listing-live-migration.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:26 -0400

horizon (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:37:04 -0400

horizon (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (b14a2ec) (LP: #1432608):
    - [4f12ca8] Fix metering daily display
    - [e00979e] Use floats instead of integer in memory calculation of admin dashboard
    - [0eef0d8] Removing Moscow's timezone check
    - [c37aafa] Remove the urlquote to arguments passed to reverse
    - [61d09f6] Horizon login page contains DOS attack mechanism
    - [33f2b93] Prevent leaking `target` info into subsequent `policy.check()` calls
    - [a04aa21] Tolerate completely missing floating_ips
    - [ad1a893] Fixing Neutron Subnet Details help text
    - [7dd9ca6] Handle negative values in total*Used for Cinder absolute limits
    - [2b292e8] Workaround for negative vals in total*Used in nova absolute_limits
    - [e5a9037] Update WSGI app creation to be compatible with Django 1.7
    - [b14a2ec] Run router dashboard unit tests by default
  * d/p/fix-dashboard-django-wsgi.patch: Rebased
  * d/p/fix-requirements.patch: Rebased
  * d/p/fix-host-listing-live-migration.patch: Cherry picked from
    https://review.openstack.org/#/c/149621/

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 08:58:30 +0000

horizon (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  * Fix Ubuntu theme region switcher dropdown (LP: #1396318) 

 -- Chris Johnston <chrisjohnston@ubuntu.com>  Wed, 03 Dec 2014 14:00:30 -0500

horizon (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Chris Johnston ]
  * Fix Ubuntu theme dropdown and confirmation button (LP: #1308651).

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (dc8e46f) (LP: #1377136):
    - [ba524b0] template to rely on the the "id" attribute
    - [ad2d428] Rename add_error methods: Django 1.7 conflict
    - [8dfe113] Replace Ceilometer ClientException with HTTPException
    - [f5e1ff4] Add missing "load url from future" in a container template
    - [839c53d] Add OS_REGION_NAME to openrc
    - [737fe40] Set the correct min_disk size when creating volume from image
    - [a8eeed9] Allow forms to disable autofill in all browsers
    - [e32a00d] Fix endpoint error when running keystone on apache
    - [faac9e7] Not able to delete a pseudo-folder via horizon
    - [b6d6e15] Set python hash seed to 0 in tox.ini
    - [ba908ae] Fix XSS issue with the unordered_list filter
    - [9a5894b] Long container names no longer break the page
    - [c9cb128] TEMPLATE_DIRS must be a tuple
    - [95dcdae] Proper port for LBaaS members
    - [dc8e46f] Use default_project_id as user project for keystone v3

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 09:00:21 -0400

horizon (1:2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (4a70f4c) (LP: #1354159):
    - [2b9c566] Import translations for Icehouse stable update
    - [015f24c] Fix security group modal header overflow
    - [785a526] Disable broken unit test (related to "Change Password")
    - [eb3a40a] Replace UserManager with None in tests
    - [e66fbc3] Sort security group rules by protocol and port
    - [a855b0c] Avoid AttributeError: SecurityGroup error handle
    - [937436f] adapt to python-novaclient-2.18.0
    - [32a7b71] Fix multiple Cross-Site Scripting (XSS) vulnerabilities.
    - [43ac907] add httplib2 explicitly to requirements.txt
    - [0b2352e] Prevent error message when creating a user
    - [765e6d3] Fix issues with importing the Login form
    - [a29cdbc] Fix formatting of heat exceptions
    - [b527f22] Image uploads should always happen in the background
    - [4a70f4c] Fix the dot overlaps with the table border in Availability Zones table

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 09:50:22 -0400

horizon (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (fbd5b2e) (LP: #1328134):
    - [e492c7e] Updated from global requirements


=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 pylint,
 python-all (>= 2.6.6-3~),
 python-django-nose,
 python-mox,
 python-netaddr,
 python-nose,
 python-pbr,
 python-setuptools,
 python-six (>= 1.5.2),
 python-sphinx
Standards-Version: 3.9.3
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/icehouse

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 python-ceilometerclient,
 python-cinderclient,
 python-cloudfiles,
 python-compressor (>= 1.2),
 python-django (>= 1.4),
 python-glanceclient,
 python-heatclient,
 python-keystoneclient,
 python-lockfile,
 python-memcache,
 python-netaddr,
 python-neutronclient,
 python-novaclient,
 python-openstack-auth (>= 1.1.1),
 python-six (>= 1.5.2),
 python-swiftclient,
 python-troveclient,
 python-tz,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Suggests: python-lesscpy
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: django web interface to Openstack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: python-django-openstack
Section: oldlibs
Architecture: all
Depends: python-django-horizon (= ${source:Version}), ${misc:Depends}
Description: dummy transitonal package
 This transitional package from the python-django-openstack to the
 python-django-horizon package. Once this package and its dependencies are
 installed you can remove it.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ubuntu theme for the Openstack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/horizon/ horizon-(.*)\.tar\.gz

## horizon 2014.2

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-compressor (>= 1.3),
 python-django (>= 1.4),
 python-django-pyscss (>= 1.0.3),
 python-glanceclient (>= 1:0.13.1),
 python-heatclient (>= 0.2.9),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-lockfile,
 python-memcache,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.17.0),
 python-openstack-auth (>= 1.1.6),
 python-pbr (>= 0.6),
 python-pyscss (>= 1.2.1),
 python-saharaclient (>= 0.7.1),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx,
 python-swiftclient (>= 1:2.2.0),
 python-troveclient (>= 1.0.4),
 python-tz
Standards-Version: 3.9.5
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/juno

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 python-ceilometerclient (>= 1.0.6),
 python-cinderclient (>= 1:1.0.7),
 python-compressor (>= 1.3),
 python-django (>= 1.4),
 python-django-pyscss (>= 1.0.3),
 python-glanceclient (>= 1:0.13.1),
 python-heatclient (>= 0.2.9),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.10.0),
 python-lockfile,
 python-memcache,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.17.0),
 python-openstack-auth (>= 1.1.6),
 python-pbr (>= 0.6),
 python-pyscss (>= 1.2.1),
 python-saharaclient (>= 0.7.1),
 python-six (>= 1.7.0),
 python-swiftclient (>= 1:2.2.0),
 python-troveclient (>= 1.0.4),
 python-tz,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ubuntu theme for the OpenStack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/horizon horizon-(\d.*)\.tar\.gz

## horizon 2014.2.3

=== debian/changelog ===
horizon (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (cf15014) (LP: #1443429)
    - [a6d726c] Translation update for Juno 2014.2.3
    - [04d07da] Make Image Description an input field instead of a textarea
    - [947bc63] Pass correct project ID to get tenant_usages
    - [d4bc8a0] Handle RequestURITooLong error in large instance table
    - [e22c90e] Updated from global requirements
    - [6614c74] Better color arrangement in distribution pie charts
    - [9d2ff23] Use shades of blue for distribution pie charts
    - [bacd732] Automatically expand the current panel group on dashboard expansion
    - [8b0349f] Fix dynamic select layout when help block is displayed
  * debian/bundle-xstatic.sh: Update for newer python-pip.
 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Apr 2015 10:29:51 -0400

horizon (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (697888b) (LP: #1418695):
    - [889f9d9] Update project limits when using input selector
    - [be88d14] Update project limits when flavor changes
    - [0723e70] Fix metering daily display
    - [5603578] Fix Horizon crash when parsing volume list
    - [e100279] Only enable one images filter button
    - [60d01cc] add missing icons for Project > Images filter
    - [8a717d9] Fix sorting by size for Project->Images table
    - [070771b] removing mandatory mark for post_creation tab
    - [9120a7f] Removing Moscow's timezone check
    - [e8a66a4] Horizon login page contains DOS attack mechanism
    - [962a0a7] Fix popup error when volume service disabled
    - [bcac1a8] Gracefully handle failures to retrieve a flavor
    - [2cd9435] Return eye-icon to its place when validation message is shown
    - [9b11e2e] Fix timezones in line chart
    - [bca0f47] Disable router HA attribute due to Neutron bug
    - [b2dc30d] Remove glyphicon-eye-open icon from Description
    - [697888b] Remove selenium dependency when not using selenium tests
  * d/p/prevent_login_page_DOS.patch: Dropped. Fix is now upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:28:53 -0500

horizon (1:2014.2.1-0ubuntu2) utopic; urgency=medium

  [ Corey Bryant ]
  * d/p/prevent_login_page_DOS.patch: Cherry picked from
    https://review.openstack.org/#/c/140358/.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Dec 2014 15:01:50 -0500

horizon (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (9e777f2) (LP: #1398952):
    - [ae7f053] Translation import for 2014.2.1 Juno stable update
    - [13b0c0e] Prevent leaking `target` info into subsequent `policy.check()` calls
    - [9144738] Fix dashboard nav, when panelgroup empty
    - [a2edb3d] Fix Instance Details error when using Cinder V2
    - [d44c663] Make labels in Network Topology translatable
    - [ed895a1] Make update metadata segments translatable
    - [d546faf] Make status in instance details screen translatable
    - [146a722] Handle negative values in total*Used for Cinder absolute limits
    - [7dbdd1c] Fix borders for "Actions" column in Firefox
    - [9e777f2] Update WSGI app creation to be compatible with Django 1.7
  * d/p/fix-dashboard-django-wsgi.patch: Rebased.
  * d/bundle-xstatic.sh: Extract tar file after generating it.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:22:56 -0500

## horizon 2014.2.4

=== debian/changelog ===
horizon (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 11:55:19 -0500

horizon (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:48 -0500

horizon (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (74f8333) (LP: #1518323):
    - [9fa3d6a] Handle situation when endpoint deleted
    - [184f5a6] Fix TemplateSyntaxError at hypervisors view
    - [6b9f019] Fix addition of plugin panel to panel group
    - [dab92e7] Escape the description param from heat template
    - [6c944b5] Sanitation of metadata passed from Django
    - [db641dc] Fix exponentially growing AJAX updates for table rows
    - [2433dbb] Silently drop access to non-existent flavours
    - [ad47548] Removing HA interfaces from port list
    - [8b80fe7] Fix Terminate Instance on network topology page
    - [75c88f3] Show ports from shared nets in floating IP assoc
    - [74f8333] Fix incorrect ca arguments for calling ceilometer client

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 14:52:35 -0500

=== debian/control ===
--- 
+++ 
@@ -43,16 +43,20 @@
  python-compressor (>= 1.3),
  python-django (>= 1.4),
  python-django-pyscss (>= 1.0.3),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.13.1),
  python-heatclient (>= 0.2.9),
+ python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:0.10.0),
+ python-kombu (>= 2.5.0),
  python-lockfile,
  python-memcache,
  python-netaddr (>= 0.7.6),
  python-neutronclient (>= 1:2.3.6),
  python-novaclient (>= 1:2.17.0),
  python-openstack-auth (>= 1.1.6),
+ python-oslo.config (>= 1:1.4.0),
  python-pbr (>= 0.6),
  python-pyscss (>= 1.2.1),
  python-saharaclient (>= 0.7.1),

## horizon 2015.1~rc1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

PYVER=$(shell pyversions -d)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_auto_clean:
	find . -name "django*.mo" -delete || :
	rm -f horizon/xstatic 
	dh_auto_clean
	rm -f horizon/openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
	# NOTE(jamespage) this is a little horrible but works around
	# the switch to /var/lib/openstack once installed for lockfiles
	ln -sf ../xstatic horizon/xstatic
	patch -p1 -R <debian/patches/ubuntu_settings.patch 
	./run_tests.sh -N --compilemessages
	patch -p1 <debian/patches/ubuntu_settings.patch 
	dh_auto_build

override_dh_auto_install:
	# install horizon and dashboard
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	# install vendorfied xstatic assets
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/horizon
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
	ln -fs /usr/lib/$(PYVER)/dist-packages/horizon/static/horizon \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/horizon

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip tests
	:
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

## horizon 2015.1.0+2015.06.09.git15.e63af6c598

=== debian/changelog ===
horizon (2015.1.0+2015.06.09.git15.e63af6c598-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 16:45:04 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     python-babel,
                     python-ceilometerclient (>= 1.0.13),
                     python-cinderclient (>= 1:1.1.0),
                     python-compressor,
                     python-coverage,
                     python-django,
                     python-django-nose,
                     python-django-pyscss,
                     python-eventlet (>= 0.16.1),
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.1.0),
                     python-kombu,
                     python-mock,
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.22.0),
                     python-openstack-auth (>= 1.1.7),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint,
                     python-pyscss,
                     python-saharaclient (>= 0.8.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools,
                     python-troveclient (>= 1.0.7),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter,
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search,
                     python-xstatic-qunit,
                     python-xstatic-rickshaw,
                     python-xstatic-smart-table,
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xvfbwrapper,
                     python-yaml,
Build-Conflicts: python-rednose,
                 python-unittest2,
Standards-Version: 3.9.6
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-babel,
         python-ceilometerclient (>= 1.0.13),
         python-cinderclient (>= 1:1.1.0),
         python-compressor,
         python-django,
         python-django-pyscss,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-heatclient (>= 0.3.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.1.0),
         python-kombu,
         python-memcache,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-openstack-auth (>= 1.1.7),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-pint,
         python-pyscss,
         python-saharaclient (>= 0.8.0),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-troveclient (>= 1.0.7),
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter,
         python-xstatic-jsencrypt,
         python-xstatic-magic-search,
         python-xstatic-qunit,
         python-xstatic-rickshaw,
         python-xstatic-smart-table,
         python-xstatic-spin,
         python-xstatic-term.js,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: memcached,
            openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_install:
	# Note: upstream advises to use "python setup.py compile_catalog"
	# maybe we should do that next time.
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/python-django-horizon \
			--no-compile -O0; \
	done

	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py

	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

	# Copy the missing angular folder
	cp -auxf horizon/static/angular $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static

override_dh_link:
	mkdir -p $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
	mv $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss/* $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
	rmdir $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss
	dh_link

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# We should add --compilemessages when the .mo are removed.
	./run_tests.sh --no-virtual-env --no-pep8
endif
